Bug 1479943 - Adding an Automate Task schedule adds UTC to the last Attribute/Value pair
Summary: Adding an Automate Task schedule adds UTC to the last Attribute/Value pair
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat CloudForms Management Engine
Classification: Red Hat
Component: Automate
Version: 5.8.0
Hardware: Unspecified
OS: Unspecified
high
high
Target Milestone: GA
: 5.8.2
Assignee: Drew Bomhof
QA Contact: Milan Falešník
URL:
Whiteboard: automate:schedule
Depends On: 1466032
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-08-09 19:20 UTC by Satoe Imaishi
Modified: 2017-10-24 00:38 UTC (History)
7 users (show)

Fixed In Version: 5.8.2.0
Doc Type: If docs needed, set a value
Doc Text:
Clone Of: 1466032
Environment:
Last Closed: 2017-10-24 00:38:34 UTC
Category: ---
Cloudforms Team: CFME Core
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2017:3005 normal SHIPPED_LIVE Important: Red Hat CloudForms security, bug fix, and enhancement update 2017-10-24 04:15:49 UTC

Comment 2 CFME Bot 2017-08-09 19:23:24 UTC
New commit detected on ManageIQ/manageiq-ui-classic/fine:
https://github.com/ManageIQ/manageiq-ui-classic/commit/5d2cfe126477ce8d692da48f0962c35a2baca005

commit 5d2cfe126477ce8d692da48f0962c35a2baca005
Author:     Harpreet Kataria <hkataria@redhat.com>
AuthorDate: Mon Jul 31 16:18:50 2017 -0400
Commit:     Satoe Imaishi <simaishi@redhat.com>
CommitDate: Wed Aug 9 15:20:25 2017 -0400

    Merge pull request #1794 from syncrou/add_url_param_separator
    
    Adding an Automate Task schedule: remove time_zone as the last Attribute/Value pair
    (cherry picked from commit 052cb03fea5e4ea974f7f0ebe34eab687afa9672)
    
    https://bugzilla.redhat.com/show_bug.cgi?id=1479943

 app/assets/javascripts/controllers/schedule/schedule_form_controller.js | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

Comment 3 Milan Falešník 2017-08-29 13:14:34 UTC
Verified that this no longer happens in 5.8.2.0 and the atrr/value pairs are preserved untampered.

Comment 5 errata-xmlrpc 2017-10-24 00:38:34 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2017:3005


Note You need to log in before you can comment on or make changes to this bug.